# Generated by go2rpm
%bcond_without bootstrap
%if %{with bootstrap}
# Do not run %%check when bootstrapping.
%bcond_with check
%else
%bcond_without check
%endif

# https://github.com/spf13/viper
%global goipath         github.com/spf13/viper
Version:                1.14.0

%gometa

%global goipaths0       github.com/spf13/viper
%global goipathsex0     github.com/spf13/viper/remote

%if %{without bootstrap}
%global goipaths1       github.com/spf13/viper/remote
%endif

%global common_description %{expand:
Viper is a complete configuration solution for Go applications including
12-Factor apps. It is designed to work within an application, and can handle all
types of configuration needs and formats. It supports:

 - setting defaults
 - reading from JSON, TOML, YAML, HCL, and Java properties config files
 - live watching and re-reading of config files (optional)
 - reading from environment variables
 - reading from remote config systems (etcd or Consul), and watching changes
 - reading from command line flags
 - reading from buffer
 - setting explicit values

Viper can be thought of as a registry for all of your applications configuration
needs.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Go configuration with fangs
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%if %{without bootstrap}
BuildRequires:  golang(github.com/sagikazarmark/crypt/config)
%endif
BuildRequires:  golang(github.com/fsnotify/fsnotify)
BuildRequires:  golang(github.com/hashicorp/hcl)
BuildRequires:  golang(github.com/hashicorp/hcl/hcl/printer)
BuildRequires:  golang(github.com/magiconair/properties)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(github.com/spf13/afero)
BuildRequires:  golang(github.com/spf13/cast)
BuildRequires:  golang(github.com/spf13/jwalterweatherman)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/subosito/gotenv)
BuildRequires:  golang(gopkg.in/ini.v1)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%if %{with bootstrap}
%gocheck -d remote
%else
%gocheck
%endif
%endif

%gopkgfiles


%changelog
* Sat Dec 10 2022 pterjan <pterjan> 1.14.0-1.mga9
+ Revision: 1920401
- Update to 1.14.0

* Wed Apr 06 2022 umeabot <umeabot> 1.10.1-2.mga9
+ Revision: 1845583
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 guillomovitch <guillomovitch> 1.10.1-1.mga9
+ Revision: 1771701
- new version 1.10.1

* Thu Nov 25 2021 guillomovitch <guillomovitch> 1.7.1-1.mga9
+ Revision: 1759241
- new version 1.7.1

* Sun Aug 30 2020 joequant <joequant> 1.2.1-2.mga8
+ Revision: 1619907
- update spec

* Tue Nov 27 2018 pterjan <pterjan> 1.2.1-1.mga7
+ Revision: 1335766
- Update to 1.2.1
- Update to 1.1.0
- imported package golang-github-spf13-viper

